## WebKitDOMTextTrack WebKitDOMTextTrack |

## Functions

void | webkit_dom_text_track_add_cue ()
void | webkit_dom_text_track_remove_cue ()
gboolean | webkit_dom_text_track_dispatch_event ()
gchar * | webkit_dom_text_track_get_id ()
gchar * | webkit_dom_text_track_get_kind ()
gchar * | webkit_dom_text_track_get_label ()
gchar * | webkit_dom_text_track_get_language ()
gchar * | webkit_dom_text_track_get_mode ()
void | webkit_dom_text_track_set_mode ()
WebKitDOMTextTrackCueList * | webkit_dom_text_track_get_cues ()
WebKitDOMTextTrackCueList * | webkit_dom_text_track_get_active_cues ()

## Properties

WebKitDOMTextTrackCueList * | active-cues | Read
WebKitDOMTextTrackCueList * | cues | Read
gchar * | id | Read
gchar * | kind | Read
gchar * | label | Read
gchar * | language | Read
gchar * | mode | Read / Write

## Types and Values

| WebKitDOMTextTrack

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTextTrack

## Implemented Interfaces

WebKitDOMTextTrack implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_text_track_add_cue ()

    void
    webkit_dom_text_track_add_cue (WebKitDOMTextTrack *self,
                                   WebKitDOMTextTrackCue *cue);

#### Parameters

self | A WebKitDOMTextTrack |
cue | A WebKitDOMTextTrackCue |

### webkit_dom_text_track_remove_cue ()

    void
    webkit_dom_text_track_remove_cue (WebKitDOMTextTrack *self,
                                      WebKitDOMTextTrackCue *cue,
                                      GError **error);

#### Parameters

self | A WebKitDOMTextTrack |
cue | A WebKitDOMTextTrackCue |
error | GError |

### webkit_dom_text_track_dispatch_event ()

    gboolean
    webkit_dom_text_track_dispatch_event (WebKitDOMTextTrack *self,
                                          WebKitDOMEvent *evt,
                                          GError **error);

`webkit_dom_text_track_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMTextTrack |
evt | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_text_track_get_id ()

    gchar *
    webkit_dom_text_track_get_id (WebKitDOMTextTrack *self);

`webkit_dom_text_track_get_id` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMTextTrack |

#### Returns

A gchar

### webkit_dom_text_track_get_kind ()

    gchar *
    webkit_dom_text_track_get_kind (WebKitDOMTextTrack *self);

#### Parameters

self | A WebKitDOMTextTrack |

#### Returns

A gchar

### webkit_dom_text_track_get_label ()

    gchar *
    webkit_dom_text_track_get_label (WebKitDOMTextTrack *self);

#### Parameters

self | A WebKitDOMTextTrack |

#### Returns

A gchar

### webkit_dom_text_track_get_language ()

    gchar *
    webkit_dom_text_track_get_language (WebKitDOMTextTrack *self);

#### Parameters

self | A WebKitDOMTextTrack |

#### Returns

A gchar

### webkit_dom_text_track_get_mode ()

    gchar *
    webkit_dom_text_track_get_mode (WebKitDOMTextTrack *self);

#### Parameters

self | A WebKitDOMTextTrack |

#### Returns

A gchar

### webkit_dom_text_track_set_mode ()

    void
    webkit_dom_text_track_set_mode (WebKitDOMTextTrack *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMTextTrack |
value | A gchar |

### webkit_dom_text_track_get_cues ()

    WebKitDOMTextTrackCueList *
    webkit_dom_text_track_get_cues (WebKitDOMTextTrack *self);

#### Parameters

self | A WebKitDOMTextTrack |

#### Returns

A WebKitDOMTextTrackCueList.

[transfer full]

### webkit_dom_text_track_get_active_cues ()

    WebKitDOMTextTrackCueList *
    webkit_dom_text_track_get_active_cues (WebKitDOMTextTrack *self);

#### Parameters

self | A WebKitDOMTextTrack |

#### Returns

A WebKitDOMTextTrackCueList.

[transfer full]

## Types and Values

### WebKitDOMTextTrack

    typedef struct _WebKitDOMTextTrack WebKitDOMTextTrack;

## Property Details

### The `“active-cues”` property

      “active-cues”              WebKitDOMTextTrackCueList *

read-only WebKitDOMTextTrackCueList* TextTrack:active-cues.

Flags: Read

### The `“cues”` property

      “cues”                     WebKitDOMTextTrackCueList *

read-only WebKitDOMTextTrackCueList* TextTrack:cues.

Flags: Read

### The `“id”` property

      “id”                       gchar *

read-only gchar* TextTrack:id.

Flags: Read

Default value: ""

### The `“kind”` property

      “kind”                     gchar *

read-only gchar* TextTrack:kind.

Flags: Read

Default value: ""

### The `“label”` property

      “label”                    gchar *

read-only gchar* TextTrack:label.

Flags: Read

Default value: ""

### The `“language”` property

      “language”                 gchar *

read-only gchar* TextTrack:language.

Flags: Read

Default value: ""

### The `“mode”` property

      “mode”                     gchar *

read-write gchar* TextTrack:mode.

Flags: Read / Write

Default value: ""